# Class WindowResizerComponent

#### Implements

- OnInit
- OnDestroy

- Defined in packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts:40

#####
Index

### Constructors

constructor

### Properties

_subscription
containerRef
height$
resizerRef
resizing$
width$
windowRef

### Methods

ngOnDestroy
ngOnInit

## Constructors

### constructor

- new WindowResizerComponent(context): WindowResizerComponent

- #### Parameters

  - context: any

  #### Returns WindowResizerComponent

  - Defined in packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts:57

## Properties

### `Private` _subscription

_subscription: Subscription = ...

- Defined in packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts:55

### containerRef

containerRef: ElementRef<any>

- Defined in packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts:42

### height$

height$: EventEmitter<string> = ...

- Defined in packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts:51

### resizerRef

resizerRef: ElementRef<any>

- Defined in packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts:46

### resizing$

resizing$: EventEmitter<boolean> = ...

- Defined in packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts:53

### width$

width$: EventEmitter<string> = ...

- Defined in packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts:49

### windowRef

windowRef: WindowRef<any, any>

- Defined in packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts:44

## Methods

### ngOnDestroy

- ngOnDestroy(): void

- #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts:63

### ngOnInit

- ngOnInit(): void

- #### Returns void

  Implementation of OnInit.ngOnInit

  - Defined in packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts:67